Subject: Re: Zsh Completion - Bug report
From: Stefano Balzan <[email-masked]>
To: [email-masked], Stefano Balzan <[email-masked]>
Date: Fri, 19 Aug 2016 20:03:50 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Thank you, I think your fix should do, pay attention to the typo Axel
pointed out though.
I'm no expert of the 'ip' command, anyway this is how I would add an arp
entry:

 "ip neigh add 192.168.1.1 lladdr 12:34:56:78:ab:cd [other parameters]"

Probably the lladdr keyword (link layer address) should be suggested at
argv[4], but I'm not completely sure.

regards,
Stefano

2016-08-19 19:26 GMT+02:00 Axel Beckert <[email-masked]>:

> Hi Daniel,
>
> On Fri, Aug 19, 2016 at 03:58:29PM +0000, Daniel Shahaf wrote:
> > Stefano Balzan wrote on Fri, Aug 19, 2016 at 12:10:02 +0200:
> > > Zsh completion sugguests using 'lladr' instead of 'lladdr' resulting
> in the
> > > following error:
> [...]
> > -  'l*ladr:specify link layer (MAC) address or null:$subcmd_lladdr' \
> > +  'l*ladrr:specify link layer (MAC) address or null:$subcmd_lladdr' \
>            ^
>
> There's a typo in your typo fix. Should be:
>
> -  'l*ladr:specify link layer (MAC) address or null:$subcmd_lladdr' \
> +  'l*laddr:specify link layer (MAC) address or null:$subcmd_lladdr' \
>
>                 Kind regards, Axel
> --
> /~\  Plain Text Ribbon Campaign                   | Axel Beckert
> \ /  Say No to HTML in E-Mail and News            | [email-masked]
> (Mail)
>  X   See http://www.nonhtmlmail.org/campaign.html | [email-masked]
> (Mail+Jabber)
> / \  I love long mails: http://email.is-not-s.ms/ | http://abe.noone.org/
> (Web)
>